Subject: Re: pppoe: Unshare skb before anything else

From: James Chapman <[email-masked]>
Date: Tue, 10 Jun 2008 22:44:02 +0100

David Miller wrote:
> From: James Chapman <[email-masked]>
> Date: Sun, 08 Jun 2008 11:08:59 +0100
> 
>> Herbert Xu wrote:
>>> Hi Dave:
>>>
>>> I noticed that my last patch to move the unshare in pppoe missed
>>> the other spot which did the same thing:
>>>
>>> pppoe: Unshare skb before anything else
>>>
>>> We need to unshare the skb first as otherwise pskb_may_pull may
>>> write to a shared skb which could be bad.
>> The same problem exists in the pppol2tp driver. Patch to follow. I'm 
>> also fixing the copy-to-iovec issue.
> 
> I have the iovec patch, but I do not see the unshare one.
> Did you post it?  Please resend if you have since I
> don't have a copy.

I didn't send the patch. I realised when I was writing it that in L2TP's 
case, the unshare isn't needed because L2TP uses UDP encap sockets.

Sorry I forgot to let Herbert and netdev know.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development